Package org.apache.activemq.artemis.api.core.management

## Class ActiveMQManagementProxy

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ActiveMQManagementProxy

- All Implemented Interfaces:
    `java.lang.AutoCloseable`

      public class ActiveMQManagementProxy
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQManagementProxy​(ClientSession session)` |
    `ActiveMQManagementProxy​(ServerLocator locator, java.lang.String username, java.lang.String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `<T> T` | `getAttribute​(java.lang.String resourceName, java.lang.String attributeName, java.lang.Class<T> attributeClass, int timeout)` |
    `<T> T` | `invokeOperation​(java.lang.String resourceName, java.lang.String operationName, java.lang.Object[] operationParams, java.lang.Class<T> operationClass, int timeout)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQManagementProxy

          public ActiveMQManagementProxy​(ClientSession session)

    - #### ActiveMQManagementProxy

          public ActiveMQManagementProxy​(ServerLocator locator,
                                         java.lang.String username,
                                         java.lang.String password)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getAttribute

          public <T> T getAttribute​(java.lang.String resourceName,
                                    java.lang.String attributeName,
                                    java.lang.Class<T> attributeClass,
                                    int timeout)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### invokeOperation

          public <T> T invokeOperation​(java.lang.String resourceName,
                                       java.lang.String operationName,
                                       java.lang.Object[] operationParams,
                                       java.lang.Class<T> operationClass,
                                       int timeout)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### close

          public void close()
                     throws java.lang.Exception

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.lang.Exception`